# std::error_condition::message

From cppreference.com
< cpp‎ | error‎ | error condition

std::string message() const; |  | (since C++11)

Returns an explanatory message for the stored error value and error category. Effectively calls category().message(value()).

### Parameters

(none)

### Return value

An explanatory message for the stored error value and error category.

### Exceptions

May throw implementation-defined exceptions.

### See also

message [virtual] | obtains the explanatory string (virtual public member function of `std::error_category`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/message&oldid=160910"